Subject: Re: [PATCH v8 00/24] wfx: get out from the staging area

From: Kalle Valo <[email-masked]>
Date: Tue, 05 Oct 2021 20:49:37 +0300

Jérôme Pouiller <[email-masked]> writes:

> On Tuesday 5 October 2021 16:15:22 CEST Kalle Valo wrote:
>> Jerome Pouiller <[email-masked]> writes:
>> 
>> > From: Jérôme Pouiller <[email-masked]>
> [...]
>> > v8:
>> >   - Change the way the DT is handled. The user can now specify the name of
>> >     the board (= chip + antenna) he use. It easier for board designers to
>> >     add new entries. I plan to send a PR to linux-firmware to include PDS
>> >     files of the developpement boards belong the firmware (I also plan to
>> >     relocate these file into wfx/ instead of silabs/). (Kalle, Pali)
>> >   - Prefix visible functions and structs with "wfx_". I mostly kept the
>> >     code under 80 columns. (Kalle, Pali, Greg)
>> >   - Remove support for force_ps_timeout for now. (Kalle)
>> >   - Fix licenses of Makefile, Kconfig and hif_api*.h. (Kalle)
>> >   - Do not mix and match endianess in struct hif_ind_startup. (Kalle)
>> >   - Remove magic values. (Kalle)
>> >   - Use IS_ALIGNED(). (BTW, PTR_IS_ALIGNED() does not exist?) (Kalle)
>> >   - I have also noticed that some headers files did not declare all the
>> >     struct they used.
>> >
>> >   These issues remain (I hope they are not blockers):
>> >   - I have currently no ideas how to improve/simplify the parsing PDS file.
>> >     (Kalle)
>> 
>> For the PDS file problem it would help if you could actually describe
>> what the firmware requires/needs and then we can start from that. I had
>> some questions about this in v7 but apparently you missed those.
>
> Did you received this reply[1]?
>
> [1]: https://lore.kernel.org/all/2723787.uDASXpoAWK@pc-42/

I did and I even made further questions:

https://lore.kernel.org/all/[email-masked]/

Can we please continue the discussion on that thread instead of passing
out lore links to each other :)

-- 
https://patchwork.kernel.org/project/linux-wireless/list/

https://wireless.wiki.kernel.org/en/developers/documentation/submittingpatches